Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.config.builders
Class DeployableMuleXmlContextListener

    java.lang.Object
      org.mule.config.builders.DeployableMuleXmlContextListener

All Implemented Interfaces:
  EventListener, ServletContextListener

    public class DeployableMuleXmlContextListener

extends Object
implements ServletContextListener

This ServletContextListener should be used instead of `MuleXmlBuilderContextListener` when the webapp is contributing a configuration to an existing Mule instance configured and started at the server level rather than embedding a Mule instance in the webapp itself.

Field Summary
`protected Log` | `logger`

Constructor Summary
`DeployableMuleXmlContextListener()`

Method Summary
`void` | `contextDestroyed(ServletContextEvent event)`
`void` | `contextInitialized(ServletContextEvent event)`
`void` | `initialize(ServletContext context)`
`static void` | `setMuleContext(MuleContext context)` This method is to be used only by application server or web container integrations that allow web applications to be hot-deployed.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected final transient Log logger

Constructor Detail

### DeployableMuleXmlContextListener

    public DeployableMuleXmlContextListener()

Method Detail

### contextInitialized

    public void contextInitialized(ServletContextEvent event)

  Specified by:
    `contextInitialized` in interface `ServletContextListener`

### initialize

    public void initialize(ServletContext context)

### contextDestroyed

    public void contextDestroyed(ServletContextEvent event)

  Specified by:
    `contextDestroyed` in interface `ServletContextListener`

### setMuleContext

    public static void setMuleContext(MuleContext context)

  This method is to be used only by application server or web container integrations that allow web applications to be hot-deployed.

  Parameters:
    `context` - the single shared muleContext instance that will be used to configure mule configurations hot-deployed as web application.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.